### Method

# Gtk Snapshot push_debug

#### Declaration [src]

    void
    gtk_snapshot_push_debug (
      GtkSnapshot* snapshot,
      const char* message,
      ...
    )

#### Description [src]

Inserts a debug node with a message.

Debug nodes don’t affect the rendering at all, but can be helpful in identifying parts of a render node tree dump, for example in the GTK inspector.

#### Parameters

`message` | `const char*`
| A printf-style format string.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`...` | ``
| Arguments for `message`.